Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1076075 - powerpc-utils-python add ppc64le archi in spec file
Summary: powerpc-utils-python add ppc64le archi in spec file
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: powerpc-utils-python
Version: rawhide
Hardware: ppc64le
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Jaromír Cápík
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F-ExcludeArch-ppc64le, PPC64LETracker
TreeView+ depends on / blocked
 
Reported: 2014-03-13 13:33 UTC by Michel Normand
Modified: 2016-02-01 01:59 UTC (History)
4 users (show)

Fixed In Version: powerpc-utils-python-1.2.1-5.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-03-26 08:53:10 UTC


Attachments (Terms of Use)
powerpc-utils-python.ppc64le.patch (deleted)
2014-03-13 13:33 UTC, Michel Normand
no flags Details | Diff

Description Michel Normand 2014-03-13 13:33:57 UTC
Created attachment 873989 [details]
powerpc-utils-python.ppc64le.patch

Description of problem: powerpc-utils-python failing for ppc64le archi


Version-Release number of selected component (if applicable):

powerpc-utils-python-1.2.1-4.fc21.


Steps to Reproduce:
1. fedpkg clone -a powerpc-utils-python
2. fedpkg prep
3. fedpkg mockbuild

Actual results:
...
Executing command: ['bash', '--login', '-c', 'rpmbuild -bb --target ppc64le --nodeps  builddir/build/SPECS/powerpc-utils-python.spec'] with env {'LANG': 'C', 'TERM': 'vt100', 'SHELL': '/bin/bash', 'CCACHE_DIR': '/tmp/ccache', 'HOSTNAME': 'mock', 'PROMPT_COMMAND': 'echo -n "<mock-chroot>"', 'HOME': '/builddir', 'PATH': '/usr/bin:/bin:/usr/sbin:/sbin', 'CCACHE_UMASK': '002'}
error: Architecture is not included: ppc64le


I am providing a patch of spec file to solve the problem.

Comment 1 Dan Horák 2014-03-26 08:53:10 UTC
in fact it should be a noarch package


Note You need to log in before you can comment on or make changes to this bug.